// Bootstrap
@import "node_modules/bootstrap/scss/bootstrap";

// Fonts
@import "font-face";

// Fonts Awesome
@import "font-awesome";

// Functions
@import "node_modules/bootstrap/scss/functions";

// Mixins
@import "mixins";

// Variáveis
@import "variaveis";


* {
	font-family: $font-default;
	-webkit-transition-duration: .3s;
	-o-transition-duration: .3s;
	transition-duration: .3s;
	transition-property: background, opacity, padding, border;
	-webkit-font-smoothing: antialiased;
  	-moz-osx-font-smoothing: grayscale;
}

body {
	background: url('../img/body-texture.png') #f7f7f7 repeat;
	color: $text-color-1;
}

h1 {
	font-size: 36px;
	@extend .font-bold;
	color: $text-color-1;

	span {
		color: $primary-color-hover;
	}

	@media #{$break-point-max-768px} {
		font-size: 32px;
	}
}

h2 {
	font-size: 32px;
	@extend .font-bold;
	color: $text-color-1;

	&.var {
		color: $white-color;
	}
}

h3 {
	font-size: 26px;
	@extend .font-bold;
	color: $text-color-1;

	&.var {
		color: $white-color;
	}

	&.var-2 {
		color: $secondary-color;
	}
}

h4 {
	font-size: 22px;
	@extend .font-semi-bold;
	color: $text-color-1;

	&.var {
		color: $white-color;
	}

	&.border-painel {
		color: #A8A8A8;
		border-bottom: 1px solid #A8A8A8;
		@extend .font-normal;
	}
}

h5 {
	font-size: 20px;
	@extend .font-semi-bold;
	color: $text-color-1;

	&.var {
		color: $white-color;
	}
}

p {
	font-size: 18px;
	@extend .font-normal;
	color: $text-color-1;

	&.var {
		font-size: 18px;
		color: $text-color-2;
	}

	&.var-white {
		font-size: 16px;
		color: $white-color;
	}
}

section {
	padding: 80px 0px;
	position: relative;
}

.header {
	background: url('../img/bg-header.jpg') no-repeat center center;
	background-size: cover;
	padding: 0px 0px 10%;

	header {

		.navbar-light {

			.navbar-toggler {
				background: $secondary-color;
			}

			.navbar-nav {

				.nav-link {
					font-size: 18px;
					font-weight: 700;
					color: $text-color-1;
				    margin-left: 2em;

				    @media #{$break-point-max-768px} {
						margin-left: 0px;
						text-align: center;
					}

					&:hover {
						color: lighten($text-color-1, 10)
					}

					&.login {
						color: $secondary-color;
						@include radius-default;
						border: 1px solid $secondary-color;
						padding: 7px 25px;

						&:hover {
							background: $secondary-color;
							color: $white-color;
						}
					}
				}

				.active {

					.nav-link {
						color: $primary-color;
						text-decoration: none;
						border-bottom: 2px solid $primary-color;
						padding-bottom: 0px;
					}
				}
			}

			.navbar-brand {

				img {
					max-width: 138px;
				}
			}
		}
	}

	&.header-interna {
		background: $white-color;
		background-size: cover;
		padding: 0px 0px;
		

		&.header-breadcrumb {
			padding: 15px 0px;
			-webkit-box-shadow: 0px 1px 5px 0px rgba(0,0,0,0.11);
			-moz-box-shadow: 0px 1px 5px 0px rgba(0,0,0,0.11);
			box-shadow: 0px 1px 5px 0px rgba(0,0,0,0.11);

			ol.breadcrumb {
				background: transparent;

				li {

					a {
						color: #A8A8A8;
						font-size: 18px;
						font-weight: 700;

						&.active {
							color: $secondary-color-hover;

							&:hover {
								color: darken($secondary-color-hover, 10);
							}
						}
					}
				}

				.breadcrumb-item + .breadcrumb-item::before {
				    display: inline-block;
				    padding-right: 0.9rem;
				    padding-left: 0.9rem;
				    color: #DAD7D7;
				    content: "\f105";
				    font-family: 'FontAwesome';
				    font-size: 20px;
				}
			}

			.dropdown {
				font-size: 16px;
				color: #A8A8A8;
			}
		}
	}
}

.sobre-kits {
	background: url('../img/cesta-fruta.jpg') no-repeat right center;
	background-size: cover;

	@media #{$break-point-max-768px} {
		background-position: left center;
	}
}

.faq {
	@extend .bg-gradient;
}

.news {
	// @extend .bg-gradient;

	p {
		font-size: 20px;
	}
}

footer {
	background: $text-color-1;
	padding: 60px 0px 0px;

	ul {

		li {

			line-height: 35px;

			a {
				color: $white-color;

				&:hover {
					color: darken($white-color, 10);
					text-decoration: none;
				}

				i {
					color: $white-color;
				    margin-right: 5px;
				}
			}
		}
	}

	.copyright {
		background: $copyright-bg;
		padding: 5px 0px;

		p {
			color: $white-color;
			font-size: 12px;
		}
	}
}

.title-interna {
	background: url('../img/bg-header-internas.jpg') no-repeat center center;
	background-size: cover;
    padding-bottom: 90px;

	h2 {
		color: #ffffff;
	}

	p {
		color: #ffffff;
		margin-bottom: 0;
	}
}

.kits-interna {

	h3 {
		font-weight: 500;
	}


	.tabs-kit {

		.nav-tabs {
			border: 1px solid $secondary-color;
			border-radius: 10px;
			display: -webkit-box;
			margin: 95px 0;
		    
		    .nav-item {	    	

		    	.nav-link {
		    		padding: 15px 0px 10px;
	    		    border: none;
    				margin: 0;
				    font-size: 40px;
				    line-height: 35px;
				    color: $text-color-1;

				    small {
				    	font-size: 16px;
				    	display: block;
				    	color: #A8A8A8;

				    	span {
				    		color: $primary-color;
				    	}
				    }
		    	}

		    	&:nth-child(1) {
		    		.nav-link.active, .nav-tabs .nav-item.show .nav-link {
				    	border-radius: 8px 0px 0px 8px;
				    }
		    	}

		    	&:nth-child(2) {
		    		border-left: 1px solid $secondary-color;
		    		border-right: 1px solid $secondary-color;
		    		position: relative;

		    		.nav-link.active, .nav-tabs .nav-item.show .nav-link {
				    	border-radius: 0px;
				    }

				    img {
					    right: 15px;
    					top: -36px;
				    }
		    	}

		    	&:nth-child(3) {
		    		.nav-link.active, .nav-tabs .nav-item.show .nav-link {
				    	border-radius: 0px 8px 8px 0px;
				    }
		    	}
		    }

		   .nav-link.active, .nav-tabs .nav-item.show .nav-link {
		    	background: $secondary-color;
		    	color: $white-color;

		    	small {
			    	font-size: 16px;
			    	display: block;
			    	color: $white-color;

			    	span {
			    		color: $white-color;
			    	}
			    }
		    }
		}
	}

	.tabs-kit-content {
		position: relative;
		margin-top: 190px;

		.tab-pane {
			position: relative;
			border-radius: 0px 0px 10px 10px;
    		border-bottom: 10px solid $primary-color;
    		padding: 50px 20px;

    		img {

    			&:nth-child(1) {
					left: 0;
    				top: -120px;
    			}

    			&:nth-child(2) {
					top: -90px;
    				left: 50%;
   					margin-left: -42.5px;
    			}
    		}

    		&.m {

    			img {

    				&:nth-child(2) {
    					top: -90px;
    					left: 50%;
   						margin-left: -80px;
    				}
    			}
    		}

    		&.g {

    			img {

    				&:nth-child(2) {
    					top: -90px;
    					left: 50%;
   						margin-left: -83px;
    				}
    			}
    		}

    		p {
    			font-size: 16px;
    		}				

			.footer {

				p {
					position: relative;
					font-size: 83px;
					@extend .font-bold;

					span {
						font-size: 33px;
					}

					sup {
						font-size: 23px;
						line-height: 45px;
						vertical-align: top;
						top: auto;
					}

					small {
						position: absolute;
						font-size: 21px;
						@extend .font-bold;
						bottom: 25px;    				
					}
				}
			}

			.interna-descontos {

				margin-bottom: 85px;
				position: relative;
			    left: 40px;

				img {
					right: -1px;
    				bottom: -41px;
				}

				p {
					margin-bottom: 0px;
					font-weight: 500;
					color: #A8A8A8;
					font-size: 16px;
				}

				.fly {
					background: $primary-color;
					color: $white-color;
					border-radius: 10px 10px 0px 10px;
					padding-bottom: 3px;
					position: relative;

					p {
						color: $white-color;
						margin-bottom: -15px;
						font-size: 47px;
    					font-weight: 700;
					}

					span {
						font-size: 16px;
						font-weight: 500;
					}
				}
			}		
		}
	}
}

.kits-banner {
	background: url('../img/bg-kits-banner.jpg') no-repeat center center;
	background-size: cover;

	p {
		font-size: 52px;
		color: $white-color;
		font-weight: 700;
		line-height: 60px;
	}
}

.sobre-interna {

	h3 {
		@extend .font-semi-bold;
		margin-bottom: 30px;
	}

	p {
		font-size: 16px;
		@extend .font-normal;
	}
}

.sobre-box {
	@extend .bg-gradient;
}

.funciona-interna {

	.funciona-content {

		background: $white-color;
		border-radius: 0px 10px 10px 10px;
		border: 2px solid #F4F4F4;
		border-bottom: 7px solid $text-color-3;
		margin-bottom: 120px;
		padding: 35px 0px;
		position: relative;

		@media #{$break-point-max-768px} {
			padding: 35px 20px;
		}

		p {
			font-size: 16px;
		}

		&:nth-child(3) {
			margin-bottom: 0px;
		}

		span {
			background: url('../img/span-elipse.png') no-repeat center center;
			width: 100px;
			height: 50px;
			display: block;
			display: flex;
		    align-items: center;
		    justify-content: center;
		    position: absolute;
		    top: -50px;
		    left: -2px;
		    @extend .font-bold;
		    color: $text-color-3;
		    font-size: 35px;
		    padding-top: 10px;
		}
	}
}

.funciona-box {

    padding: 0px 0px 50px;
	
	h2 {
		color: $secondary-color-hover;
		@extend .font-semi-bold;
		font-size: 40px;
	}

	h4 {
		@extend .font-normal;
		font-size: 24px;
	}
}

.login-interna {

	form {
		background: $white-color;
		border-radius: 10px;
		border: 2px solid #F4F4F4;
		padding: 60px 0px;

		@media #{$break-point-max-768px} {
			padding: 60px 20px;
		}

		a {
			color: $text-color-1;
			text-decoration: underline;
			font-size: 16px;

			&:hover {
				color: lighten($text-color-1, 10);
			}
		}

		.separated {
			display: inline-block;
			width: 100%;
			height: 1px;
			background: #DAD7D7;
		}

		i {
			font-size: 21px;
		}
	}
}

.cep-box {

	padding-bottom: 0px;
	
	h2 {
		color: $secondary-color-hover;
		@extend .font-semi-bold;
		font-size: 40px;
	}

	h4 {
		@extend .font-normal;
		font-size: 24px;
	}
}

.box-assinatura {
	
	.content {
		@extend .default-radius-border;
		padding: 70px 0px;

		@media #{$break-point-max-768px} {
			padding: 70px 20px;
		}

		p {
			color: #A8A8A8;

			a {
				color: $secondary-color;
			}

			span {
				color: $primary-color;
			}
		}

		small {
			color: #A8A8A8;
			font-size: 16px;
			margin-top: 20px;
		    display: block;
		}

		a {
			color: $text-color-1;
			text-decoration: underline;

			&:hover {
				color: lighten($text-color-1, 10);
			}
		}
	}

	.nav-periodo {

		li {
			border: 1px solid #F4F4F4;
			border-right: none;
			border-radius: 0px;

			&:first-child {
				border-radius: 10px 0px 0px 10px;

				a {
					&.active {
						border-radius: 10px 0px 0px 10px;
					}
				}
			}

			&:last-child {
				border-right: 1px solid #F4F4F4;
				border-radius: 0px 10px 10px 0px;

				a {
					&.active {
						border-radius: 0px 10px 10px 0px;
					}
				}
			}

			a {
				border-radius: 0px;
				padding: 15px 25px;
				font-size: 20px;
				text-transform: uppercase;
				color: #BABABA;

				@media #{$break-point-max-768px} {
					padding: 15px 15px;
				}

				&.active {
					color: $white-color;
    				background-color: $primary-color;
				}
			}
		}
	}

	.after-stripe {
		position: relative;

		&:after {
			content: "";
    		display: inline-block;
    		width: 1px;
    		height: 110%;
    		background: #BABABA;
    		position: absolute;
    		top: 0;
    		right: -25%;
		}
	}

	.content-checkout {
		

		.title {
			background: $text-color-3;
			border-radius: 10px 10px 0px 0px;
			border: 2px solid $text-color-3;
			padding: 13px 0px;
		}

		.body {
			border-radius: 0px 0px 10px 10px;
			border: 2px solid #ECECEC;
			border-top: none;
			padding: 0px 18px;

			.table {

				th {
					padding: 25px 0px;

					small {

						span {
							color: $text-color-1;
						}
					}
				}

				td {
					padding: 25px 0px;

					span {
						color: $primary-color;
						@extend .font-semi-bold;
					}

					&.value {

						.price {
							@extend .font-bold;
							font-size: 36px;

							span {
								color: $text-color-1;
								@extend .font-bold;
								font-size: 15px;
							}

							sup {
								@extend .font-bold;
								font-size: 12px;
								position: relative;
	    						top: -18px;
							}
						}	

						.old-price {
							@extend .font-semi-bold;
							font-size: 17px;
							position: relative;

							&:before {
							    content: "";
							    display: inline-block;
							    width: 40px;
							    height: 1px;
							    background: $text-color-1;
							    position: absolute;
							    right: 0;
							    top: 12px;
							}

							span {
								color: $text-color-1;
								@extend .font-bold;
								font-size: 7px;
							}

							sup {
								@extend .font-bold;
								font-size: 5px;
								position: relative;
	    						top: -10px;
							}
						}						
					}
				}
			}
		}
	}
}

.painel-usuario {

	.content {
		@extend .default-radius-border;

		margin-bottom: 50px;

		ul {
			margin: 0px;

			li {
				border-bottom: 1px solid #F4F4F4;
			    padding: 14px 20px;

				&:last-child {
					border-bottom: none;
				}

				a {
					color: #A8A8A8;
					font-size: 16px;
				    display: flex;
    				align-items: center;

					.svg-painel {
						fill: #A8A8A8;		
						width: 16px;
						height: 16px;
						margin-right: 8px;	
					}

					&:hover {
						color: $secondary-color-hover;
						text-decoration: none;

						.svg-painel {
							fill: $secondary-color-hover;
						}
					}
				}

				&.active {

					a {
						color: $secondary-color-hover;

						.svg-painel {
							fill: $secondary-color-hover;
						}
					}					
				}
			}
		}

		&.box {
			padding: 55px 0px;

			&:hover {
				padding: 55px 0px 49px;
				border-bottom: 6px solid $secondary-color-hover;
			}

			a {
				color: $text-color-1;
				font-size: 16px;
			}

			.svg-painel {
				fill: $secondary-color-hover;
				width: 43px;
    			height: 43px;
			}
		}

		&.interna {
			padding: 20px 30px;

			h5 {
				color: $primary-color;
			}

			small {
				display: block;
				font-size: 14px;
				color: #A8A8A8;
			}

			.alterar-dia {
				ul {
					display: flex;
    				align-items: center;
    				justify-content: center;

					li {
						color: $text-color-1;
						font-size: 18px;
						border-bottom: none;
						padding: 0px;

						small {

							b {
								color: $text-color-1;
							}
						}
					}
				}
			}

			.cartao {
				background-color: #FCFCFC;
				border: 1px solid #E3E3E3;
				padding: 20px 60px;
				border-radius: 10px;
				max-width: 63%;

				@media #{$break-point-max-768px} {
					padding: 20px 0px;
					max-width: 80%;
				}

				ul {
					display: flex;
    				justify-content: center;

					li {
						color: $text-color-1;
						font-size: 18px;
						border-bottom: none;
						padding: 0px;

						small {

							b {
								color: $text-color-1;
							}
						}
					}
				}
			}
		}	

		&.tabela {
			padding: 0px;		

			.table {
				text-align: left;
				@extend .font-semi-bold;

				th {
					border: none;
					color: $primary-color;

					&:first-child {
						padding-left: 80px;

						@media #{$break-point-max-768px} {
							padding-left: 10px;
						}
					}

					a {
						color: $secondary-color;
						text-decoration: underline;

						i {
							margin-right: 5px;
						}
					}
				}

				td {
					border: none;

					&:first-child {
						padding-left: 80px;

						@media #{$break-point-max-768px} {
							padding-left: 10px;
						}
					}

					a {
						color: $text-color-1;
						text-decoration: underline;

						&:hover {
							color: lighten($text-color-1, 10);
						}
					}
				}

				&.table-striped {
					tbody {
						tr {
							&:nth-of-type(odd) {
								background-color: #F8F8F8;
							}
						}
					}
				}
			}
		}
	}

	.nav-tabs {

		.nav-link {
			color: $secondary-color;
		}
	}
}



